package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowDepartmentMapper;
import com.lz.modules.flow.entity.FlowDepartment;
import com.lz.modules.flow.service.FlowDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class FlowDepartmentServiceImpl extends ServiceImpl<FlowDepartmentMapper, FlowDepartment> implements FlowDepartmentService {


    @Autowired
	private FlowDepartmentMapper flowDepartmentMapper;



	@Override
	public FlowDepartment selectFlowDepartmentById(Long id){
		return flowDepartmentMapper.selectFlowDepartmentById(id);
	}



	@Override
	public Long insertFlowDepartment(FlowDepartment flowDepartment){
		return flowDepartmentMapper.insertFlowDepartment(flowDepartment);
	}



	@Override
	public int updateFlowDepartmentById(FlowDepartment flowDepartment){
		return flowDepartmentMapper.updateFlowDepartmentById(flowDepartment);
	}



	@Override
	public int updateCoverFlowDepartmentById(FlowDepartment flowDepartment){
		return flowDepartmentMapper.updateCoverFlowDepartmentById(flowDepartment);
	}



	@Override
	public int deleteFlowDepartmentById(Long id){
		return flowDepartmentMapper.deleteFlowDepartmentById(id);
	}

    @Override
    public FlowDepartment selectByStaffId(Long staffId) {
        return flowDepartmentMapper.selectByStaffId(staffId);
    }


}
